View Issue Details

IDProjectCategoryView StatusLast Update
0001937Far ManagerEditorpublic2011-12-09 12:44
ReporterArtyAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS VersionSP1
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001937: Не работают некоторые комбинации клавиш в режиме вертикального выделения.
DescriptionТакие комбинации как Ctrl+PgDn, Ctrl+PgUp, Ctrl+Home, Ctrl+End не работают в режиме вертикального выделения (Alt+Up, Alt+Down, Alt+Left, Alt+Right). В последнем FAR 2 всё работает.
Steps To Reproduce1. Запустить FAR и открыть на редактирование какой-нибудь текстовый файл с большим количеством текста.
2. Выделить вертикальный блок текста и нажать одну из комбинаций (Ctrl+PgDn, Ctrl+PgUp, Ctrl+Home, Ctrl+End).
3. Убедиться, что эти комбинации работают не так, как ожидалось - во время нажатия ничего не происходит, а при попытке продолжить изменение вертикального блока происходит его сброс.
TagsNo tags attached.
Build2293

Relationships

related to 0000514 closed2useven10 Wishes Изменение поведения ctrl+alt+shift в редакторе 

Activities

Arty

2011-12-07 15:22

reporter   bugnote:0008074

Last edited: 2011-12-07 15:28

View 2 revisions

Дополнение к пункту 2.: При нажатии комбинации клавиш необходимо удерживать Alt.

FAR v3.0 build 2283 x86

2useven10

2011-12-08 00:08

developer   bugnote:0008086

Last edited: 2011-12-08 05:51

View 2 revisions

проверьте последнюю версию - должно работать.
в п.2 Ctrl+Alt+PgUp/PgDn/Home/End

Arty

2011-12-08 16:02

reporter   bugnote:0008097

Last edited: 2011-12-08 16:02

View 2 revisions

2290 работает, но только если нажимать или оба левых Ctrl и Alt или оба правых.
Нельзя ли сделать так, чтобы комбинация RCtrl+LAlt+PgUp/PgDn/Home/End тоже работала?

2useven10

2011-12-08 19:40

developer   bugnote:0008105

Last edited: 2011-12-08 19:41

View 2 revisions

на RCtrl+LAlt+PgUp приходит KEY_APPS.
LCtrl+RAlt+PgDn код нормальный, но его нет в клавиатурных константах.
Почему - не знаю, может зарезервированы для каких нибудь хитрых кодовых страниц.
Да и пожелание на мой взгляд слишком экзотично.
Передеделывать ради этого всю работу фар с клавиатурой нет ни желания ни знаний.

Arty

2011-12-08 20:09

reporter   bugnote:0008107

Пожелание не так уж и экзотично, когда руки лежат только на клавиатуре как-то само собой получается, что для вертикального блока используется LAlt+Up/Down/Left/Right ,а когда надо выделить блок до конца или начала файла, то правой рукой жму RCtrl+PgUp/PgDn/Home/End.
Если по делу, то в FAR2 это работало - а перестало вроде бы после разделения клавиш Ctrl и Alt на левые и правые.

PS. К слову макрос повесить на комбинации RCtrl+Alt+PgUp/PgDn/Home/End можно без проблем..

2useven10

2011-12-08 20:15

developer   bugnote:0008108

проверю ещё раз. если можно будет ограничиться правой редактора (если коды приходят) - то возможно.

2useven10

2011-12-09 07:14

developer   bugnote:0008112

build 2293

Arty

2011-12-09 11:12

reporter   bugnote:0008113

Спасибо, работает.

Issue History

Date Modified Username Field Change
2011-12-07 15:19 Arty New Issue
2011-12-07 15:22 Arty Note Added: 0008074
2011-12-07 15:28 Arty Note Edited: 0008074 View Revisions
2011-12-08 00:08 2useven10 Note Added: 0008086
2011-12-08 05:51 2useven10 Note Edited: 0008086 View Revisions
2011-12-08 15:42 2useven10 Relationship added related to 0000514
2011-12-08 16:02 Arty Note Added: 0008097
2011-12-08 16:02 Arty Note Edited: 0008097 View Revisions
2011-12-08 19:40 2useven10 Note Added: 0008105
2011-12-08 19:41 2useven10 Note Edited: 0008105 View Revisions
2011-12-08 20:09 Arty Note Added: 0008107
2011-12-08 20:15 2useven10 Note Added: 0008108
2011-12-09 07:14 2useven10 Note Added: 0008112
2011-12-09 07:14 2useven10 Assigned To => 2useven10
2011-12-09 07:14 2useven10 Status new => feedback
2011-12-09 11:12 Arty Note Added: 0008113
2011-12-09 11:12 Arty Status feedback => assigned
2011-12-09 12:41 Arty Status assigned => resolved
2011-12-09 12:44 2useven10 Build => 2293
2011-12-09 12:44 2useven10 Status resolved => closed
2011-12-09 12:44 2useven10 Resolution open => fixed
2011-12-09 12:44 2useven10 Fixed in Version => 3.0